# Asterisk Project : Asterisk 13 AGICommand_receive char

Created by wikibot on Aug 08, 2014

# RECEIVE CHAR

### Synopsis

Receives one character from channels supporting it.

### Description

Receives a character of text on a channel. Most channels do not support the reception of text. Returns the decimal value of the character if one is received, or `0` if the channel does not support text reception. Returns `-1` only on error/hangup.

### Syntax

    RECEIVE CHAR TIMEOUT

##### Arguments

- `timeout` - The maximum time to wait for input in milliseconds, or `0` for infinite. Most channels

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538